import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'chobi_admob_flutter_platform_interface.dart';

/// An implementation of [ChobiAdmobFlutterPlatform] that uses method channels.
class MethodChannelChobiAdmobFlutter extends ChobiAdmobFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('chobi_admob_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
