import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'chobi_admob_flutter_method_channel.dart';

abstract class ChobiAdmobFlutterPlatform extends PlatformInterface {
  /// Constructs a ChobiAdmobFlutterPlatform.
  ChobiAdmobFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static ChobiAdmobFlutterPlatform _instance = MethodChannelChobiAdmobFlutter();

  /// The default instance of [ChobiAdmobFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelChobiAdmobFlutter].
  static ChobiAdmobFlutterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ChobiAdmobFlutterPlatform] when
  /// they register themselves.
  static set instance(ChobiAdmobFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
