import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:chobi_admob_flutter/chobi_admob_flutter_method_channel.dart';

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  MethodChannelChobiAdmobFlutter platform = MethodChannelChobiAdmobFlutter();
  const MethodChannel channel = MethodChannel('chobi_admob_flutter');

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(
      channel,
      (MethodCall methodCall) async {
        return '42';
      },
    );
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(channel, null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
