import 'package:flutter_test/flutter_test.dart';
import 'package:chobi_admob_flutter/chobi_admob_flutter.dart';
import 'package:chobi_admob_flutter/chobi_admob_flutter_platform_interface.dart';
import 'package:chobi_admob_flutter/chobi_admob_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockChobiAdmobFlutterPlatform
    with MockPlatformInterfaceMixin
    implements ChobiAdmobFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ChobiAdmobFlutterPlatform initialPlatform = ChobiAdmobFlutterPlatform.instance;

  test('$MethodChannelChobiAdmobFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelChobiAdmobFlutter>());
  });

  test('getPlatformVersion', () async {
    ChobiAdmobFlutter chobiAdmobFlutterPlugin = ChobiAdmobFlutter();
    MockChobiAdmobFlutterPlatform fakePlatform = MockChobiAdmobFlutterPlatform();
    ChobiAdmobFlutterPlatform.instance = fakePlatform;

    expect(await chobiAdmobFlutterPlugin.getPlatformVersion(), '42');
  });
}
